Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

This question was asked in debianhelp.org almost half a year ago, but never got an answer. I wasn't the one who posted it, however I was today facing exactly the same question. Not sure if copying it to here as such is considered as inappropriate or something, but there's not really anything that I would even like to paraphrase... So let's just go. (I'm sure you will be happy to close it, if this is not the way to go :)

Hello all! We are using a Bugzilla server install on a Debian 4/Etch server and are starting to look at the upgrade to Debian 5/Lenny. I was hoping to upgrade the existing Bugzilla server and database from the oldstable (v2.22) to the newer stable in Lenny (v3) when we get to doing a dist-upgrade. However from testing in a virtual machine it seems that the old package was called "Bugzilla" whereas the Lenny package is called "Bugzilla3" and I could not figure a way to directly upgrade between the two.

Is it possible to establish some kind of upgrade path quickly after the dist-upgrade to minimise downtime using apt-get or aptitude? Going on past experiences I would not want to do a fresh install with the Bugzilla3 package and attempt to inject the old database into it (previous attempts failed miserably!) :(

share|improve this question

2 Answers 2

Try reading the documentation in /usr/share/doc/bugzilla3 . Usually Debian-packages have upgrade instructions in a file called NEWS

share|improve this answer


I'm not an expert on debian, but to get you started I'd suggest the following:

  1. Mimic your current environment on a virtual machine. VirtualBox comes to mind. Then plan and exercise the upgrade there. It should be enough to dump your life database, restore it on the virtual machine and copy over the bugzilla setup (you might have to edit the localconfig file.
  2. I think it is an advantage that the new package is called bugzilla3. This might help you in installing it parallel to the existing one and then follow chapter 2.7.3 of the documentation.
  3. Before you do anything. Backup. Backup. Backup.

In my experience, upgrading bugzilla with the ./checksetup.pl script is really painless.

Good luck!

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.